Revise a report
curl --request POST \
--url https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"feedback": "Lead with the subject's current role.",
"evidence": []
}
EOFimport requests
url = "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions"
payload = {
"feedback": "Lead with the subject's current role.",
"evidence": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({feedback: 'Lead with the subject\'s current role.', evidence: []})
};
fetch('https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'feedback' => 'Lead with the subject\'s current role.',
'evidence' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions"
payload := strings.NewReader("{\n \"feedback\": \"Lead with the subject's current role.\",\n \"evidence\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions")
.header("Idempotency-Key", "<idempotency-key>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"feedback\": \"Lead with the subject's current role.\",\n \"evidence\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feedback\": \"Lead with the subject's current role.\",\n \"evidence\": []\n}"
response = http.request(request)
puts response.read_body{
"job_id": "atlas-report-example",
"status": "pending",
"byte_size": 0,
"follow_up": false
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "This Idempotency-Key is already in use. Use a new key for a new request.",
"error_code": "idempotency_key_reused",
"request_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"retryable": false,
"param": null
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Atlas
Revise a report
Rewrites the report using feedback and evidence uploaded by the caller.
People may use their own uploads; API keys may use only files uploaded by that key. An empty feedback string clears the custom brief. Requires Idempotency-Key; unchanged retries return the accepted job. New revisions wait until research finishes.
POST
/
v1
/
atlas
/
investigations
/
{investigation_id}
/
report-revisions
Revise a report
curl --request POST \
--url https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"feedback": "Lead with the subject's current role.",
"evidence": []
}
EOFimport requests
url = "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions"
payload = {
"feedback": "Lead with the subject's current role.",
"evidence": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({feedback: 'Lead with the subject\'s current role.', evidence: []})
};
fetch('https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'feedback' => 'Lead with the subject\'s current role.',
'evidence' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions"
payload := strings.NewReader("{\n \"feedback\": \"Lead with the subject's current role.\",\n \"evidence\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions")
.header("Idempotency-Key", "<idempotency-key>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"feedback\": \"Lead with the subject's current role.\",\n \"evidence\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/atlas/investigations/{investigation_id}/report-revisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feedback\": \"Lead with the subject's current role.\",\n \"evidence\": []\n}"
response = http.request(request)
puts response.read_body{
"job_id": "atlas-report-example",
"status": "pending",
"byte_size": 0,
"follow_up": false
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "This Idempotency-Key is already in use. Use a new key for a new request.",
"error_code": "idempotency_key_reused",
"request_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"retryable": false,
"param": null
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Headers
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?